# fourdst::libcomposition: src/composition/include/fourdst/composition/composition.h File Reference

Loading...
Searching...
No Matches
composition.h File Reference
`#include <string>`
`#include <unordered_map>`
`#include <set>`
`#include <utility>`
`#include "fourdst/config/config.h"`
`#include "fourdst/logging/logging.h"`
`#include "fourdst/composition/composition_abstract.h"`
`#include "fourdst/composition/atomicSpecies.h"`

Go to the source code of this file.

## Classes

struct | fourdst::composition::CanonicalComposition
| Represents the canonical (X, Y, Z) composition of stellar material. More...
struct | fourdst::composition::GlobalComposition
| Represents global properties of a finalized composition. More...
struct | fourdst::composition::CompositionEntry
| Represents a single entry (an isotope) within a composition. More...
class | fourdst::composition::Composition
| Manages a collection of chemical species and their abundances. More...
struct | fourdst::composition::Composition::CompositionCache

## Namespaces

namespace | fourdst
namespace | fourdst::composition